| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Slots | Signals | Public Member Functions | Static Public Member Functions | Static Public Attributes | List of all members
Digikam::MetadataHubMngr Class Reference
Inheritance diagram for Digikam::MetadataHubMngr:

## Public Slots
void | slotApplyPending ()
void | slotRemovePending (const ItemInfo &info)

## Signals
void | signalPendingMetadata (int numbers)

## Public Member Functions
void | addPending (const ItemInfo &info)
void | addPendingIds (const QList< qlonglong > &imageIds)
void | requestShutDown ()

## Static Public Member Functions
static MetadataHubMngr * | instance ()
static bool | isCreated ()

## Static Public Attributes
static QPointer< MetadataHubMngr > | internalPtr = QPointer<MetadataHubMngr>()